git.99rst.org
/
openwrt-packages.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
| inline |
side by side
(parent:
0309bfd
)
python-certifi: add github runtime test
author
Eneas U de Queiroz
<redacted>
Thu, 27 Jul 2023 19:51:39 +0000
(16:51 -0300)
committer
Eneas U de Queiroz
<redacted>
Fri, 28 Jul 2023 13:39:18 +0000
(10:39 -0300)
This loads the module, which should return the path of the CA bundle
and verifies that the file exists.
Signed-off-by: Eneas U de Queiroz <redacted>
lang/python/python-certifi/test.sh
[new file with mode: 0644]
patch
|
blob
diff --git a/lang/python/python-certifi/test.sh
b/lang/python/python-certifi/test.sh
new file mode 100644
(file)
index 0000000..
b280216
--- /dev/null
+++ b/
lang/python/python-certifi/test.sh
@@ -0,0
+1,18
@@
+#!/bin/sh
+
+case "$1" in
+ *-src)
+ ;;
+ python3-certifi)
+ BUNDLE=$(python3 -m certifi) || {
+ echo "Failed to run the certfi module script. Exit status=$?." >&2
+ echo "Output='$BUNDLE'" >&2
+ exit 1
+ }
+ ls -l "$BUNDLE"
+ ;;
+ *)
+ echo "Unexpected package '$1'" >&2
+ exit 1
+ ;;
+esac
git clone https://git.99rst.org/PROJECT